API referenceSegments
Archive segment
DELETE
bearerAuthheader
AuthorizationBearer <API key>Project API key (cr_sk_...)
id*stringFormat
uuidArchived
application/json- response
segment_id*stringFormat
uuidstatus*stringValue in
"active""archived"updated_at*stringFormat
date-timecurl -X DELETE 'https://api.comraid.io/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c", "status": "active", "updated_at": "2019-08-24T14:15:22Z"}Get segment GET
Previous Page
Update segment PUT
Partial update: omitted fields keep their current values. Empty `name` is 400. Saving rules with zero conditions is 400 (use Everyone). At most 50 conditions and 1,000 values per `in` list. Renaming onto an active Segment name returns 409 `segment_name_taken`.